YUI AS Component Documentation |
Class LayoutEvent

Package | com.yahoo.astra.layout.events
Class | public class LayoutEvent
Inheritance | LayoutEvent flash.events.Event

Events associated with ILayoutContainer objects.

See also

ILayoutContainer

Public Methods

| Method | Defined by
--- | --- | ---
|  | LayoutEvent(type:String, bubbles:Boolean = false, cancelable:Boolean = false) Constructor. | LayoutEvent

Public Constants

| Constant | Defined by
--- | --- | ---
|  | LAYOUT_CHANGE : String = "layoutChange" [static] The `LayoutEvent.LAYOUT_CHANGE` event type constant indicates that the layout of an ILayoutContainer needs to be redrawn. | LayoutEvent

Constructor detail

LayoutEvent | () | constructor

`public function LayoutEvent(type:String, bubbles:Boolean = false, cancelable:Boolean = false)`

Constructor.

Parameters

| `type:String`
| `bubbles:Boolean` (default = `false`)``
| `cancelable:Boolean` (default = `false`)``

Constant detail

LAYOUT_CHANGE | constant

`public static const LAYOUT_CHANGE:String = "layoutChange"`

The `LayoutEvent.LAYOUT_CHANGE` event type constant indicates that the layout of an ILayoutContainer needs to be redrawn.